1. Download our Official Android App: Forums for Android!

Apps Error while waiting for device: Timed out after 300seconds waiting for emulator to come online.

Discussion in 'Android Development' started by ac4android, Jun 28, 2016.

  1. ac4android

    ac4android Well-Known Member
    Thread Starter
    Rank:
    None
    Points:
    53
    Posts:
    198
    Joined:
    Nov 3, 2015

    Nov 3, 2015
    198
    29
    53
    After upgrade to A/S 2.1, I get the following error on all my apps except for the simplest ones:

    Error while waiting for device: Timed out after 300seconds waiting for emulator to come online.

    I an use my Samsung S5, but the disadvantage of that is I cannot test an app on other versions e.g. Nexus 4 API21

    I suspect it might have something to do with the complexities of the gradles, this is an example:
    Code (Text):
    1.  
    2.  
    3. apply plugin: 'com.android.application'
    4. android {
    5.     compileSdkVersion 23
    6.     buildToolsVersion "23.0.3"
    7.  
    8.     defaultConfig {
    9.         applicationId "com.buildersdelivery.rgd9036demo"
    10.         minSdkVersion 17
    11.         targetSdkVersion 21
    12.         versionCode 2
    13.         versionName "1.1"
    14.  
    15.         // NEW: Enable multidex support
    16.         // multiDexEnabled false
    17.     }
    18.     buildTypes {
    19.         release {
    20.             minifyEnabled false
    21.             proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
    22.         }
    23.     }
    24. }
    25. dependencies {
    26.     compile fileTree(dir: 'libs', include: ['*.jar'])
    27.     testCompile 'junit:junit:4.12'
    28.     compile 'com.android.support:appcompat-v7:23.2.0'
    29.     compile 'com.android.support:design:23.2.0'
    30.     compile 'com.android.support:support-v4:23.2.0'
    31.     compile 'com.google.android.gms:play-services:8.4.0'
    32.     compile 'com.google.android.gms:play-services-maps:8.4.0'
    33.     compile 'com.google.android.gms:play-services-ads:8.4.0'
    34.     compile 'com.google.android.gms:play-services-identity:8.4.0'
    35.     compile 'com.google.android.gms:play-services-gcm:8.4.0'
    36.     compile 'com.google.android.gms:play-services-analytics:8.4.0'
    37.     compile 'com.google.maps.android:android-maps-utils:0.4+'
    38.  
    39. }
    40.  
    41.  
    42. buildscript {
    43.     repositories {
    44.         jcenter()
    45.     }
    46.     dependencies {
    47.         classpath 'com.android.tools.build:gradle:2.1.2'
    48.  
    49.         // NOTE: Do not place your application dependencies here; they belong
    50.         // in the individual module build.gradle files
    51.     }
    52. }
    53.  
    54. allprojects {
    55.     repositories {
    56.         jcenter()
    57.     }
    58. }
    59.  
    60. task clean(type: Delete) {
    61.     delete rootProject.buildDir
    62. }
    63.  
    64.  
    65.  
    66.  

    P.S. Yes, it runs on the Samsung S5 (Android 5 API 21). But I don;t have an S6 or S7 or a Nexus 4 to test the app.
     

    Advertisement

    #1 ac4android, Jun 28, 2016
    Last edited: Jun 28, 2016

Share This Page

Loading...